Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(1067)

Unified Diff: ragel/build.sh

Issue 10383152: Add ragel to third_party. (Closed) Base URL: svn://svn.chromium.org/native_client/trunk/src/third_party/
Patch Set: Created 8 years, 7 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
Index: ragel/build.sh
===================================================================
--- ragel/build.sh (revision 0)
+++ ragel/build.sh (revision 0)
@@ -0,0 +1,20 @@
+#!/bin/bash
+# Copyright (c) 2012 The Native Client Authors. All rights reserved.
+# Use of this source code is governed by a BSD-style license that can be
+# found in the LICENSE file.
+
+set -x
+set -e
+set -u
+
+cd "$(dirname "$0")"
+rm -rf ragel-6.7
+tar xSvpf ragel-6.7.tar.gz
+(
+ cd ragel-6.7
+ ./configure
+ make -j16 \
+ CXXFLAGS="-m32" CXXLD='gcc -s' LIBS='-Wl,-Bstatic -lstdc++ -Wl,-Bdynamic'
+ cp -fv ragel/ragel ../ragel.linux
+)
+rm -rf ragel-6.7
Property changes on: ragel/build.sh
___________________________________________________________________
Added: svn:executable
+ *
Added: svn:eol-style
+ LF
« ragel/README.chromium ('K') | « ragel/README.chromium ('k') | ragel/ragel.linux » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698